<template>
    <div class="sg-page-content">
        <section class="grid-view-tab">
            <div class="container">
                <div class="row">
                    <div class="col-md-4 col-lg-3" v-if="lengthCounter(blogDetails) > 0">
                        <div class="sg-sitebar new-shop-sitebar">
                            <div class="accordion" id="accordionExample">
                                <div class="accordion-item">
                                    <div class="accordion-header" id="ac1">
                                        <button class="accordion-button" @click="category = !category"
                                                :class="{ 'collapsed' : !category }"
                                                type="button" data-bs-toggle="collapse"
                                                data-bs-target="#collapse1" aria-expanded="true"
                                                aria-controls="collapse1">All Categories
                                        </button>
                                    </div>
                                    <div id="collapse1" class="accordion-collapse collapse" aria-labelledby="ac1"
                                         :class="{ 'show' : category }"
                                         data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            <ul class="global-list">
                                                <li v-for="(category,index) in categories.data" :key="index">
                                                    <router-link
                                                        :to="{ name: 'category.blogs', params : {slug : category.slug } }">
                                                        {{ category.title }}
                                                    </router-link>
                                                </li>
                                                <li v-if="categories.next_page_url"><a
                                                    @click="loadCategories" href="javascript:void(0)">{{lang.show_more}}</a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>

                                <!--<div class="accordion-item">
                                    <div class="accordion-header" id="ac2">
                                        <button class="accordion-button" @click="recentPost = !recentPost"
                                                :class="{ 'collapsed' : !recentPost }"
                                                type="button"
                                                data-bs-toggle="collapse" data-bs-target="#collapse2"
                                                aria-expanded="false" aria-controls="collapse2">{{lang.recent_post}}
                                        </button>
                                    </div>
                                     <div id="collapse2" class="accordion-collapse collapse "
                                         :class="{ 'show' : recentPost }"
                                         aria-labelledby="ac2" data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            <div class="widget widget_recent_entries">
                                                <ul class="global-list">
                                                    <li class="media" v-for="(blog,index) in recent_posts.data"
                                                        :key="'post'+index">
                                                        <div class="entry-thumbnail">
                                                            <router-link
                                                                :to="{ name: 'blog.details',params:{blogId:blog.id,slug:blog.slug}}">
                                                                <img loading="lazy" :src="blog.recent_post_image" :alt="blog.title"
                                                                     class="img-fluid"></router-link>
                                                        </div>
                                                        <div class="media-body">
                                                            <h5>
                                                                <router-link
                                                                    :to="{ name: 'blog.details',params:{blogId:blog.id,slug:blog.slug}}">
                                                                    {{ blog.title }}
                                                                </router-link>
                                                            </h5>
                                                            <span class="post-date">{{ blog.published_date }}</span>
                                                        </div>
                                                    </li>
                                                </ul>
                                                <div v-if="recent_posts.next_page_url">
                                                    <router-link :to="{ name : 'blogs' }" href="javascript:void(0)">{{lang.show_more}}
                                                    </router-link>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div> -->
                                <div class="accordion-item" v-if="tags[1] != null" >
                                    <div class="accordion-header" id="ac3">
                                        <button class="accordion-button"
                                                :class="{ 'collapsed' : collapeActive != 'tags' }"
                                                type="button"
                                                @click="collapeActiveStatus('tags')"
                                                data-bs-toggle="collapse" data-bs-target="#collapse3"
                                                aria-expanded="false" aria-controls="collapse3">{{lang.tags}}
                                        </button>
                                    </div>
                                    <div id="collapse3" class="accordion-collapse collapse"
                                         :class="{ 'show' : collapeActive == 'tags' }"
                                         aria-labelledby="ac3"
                                         data-bs-parent="#accordionExample">
                                        <div class="accordion-body">
                                            <div class="tagcloud">
                                                <a href="javascript:void(0)" v-for="(tag,i) in tags" :key="i">{{tag}}</a>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div><!-- /.accordion -->
                        </div><!-- /.sg-sitebar -->
                    </div>
                    <div class="col-md-4 col-lg-3" v-else-if="shimmer">
                        <shimmer :height="600"></shimmer>
                    </div>
                    <div class="col-md-8 col-lg-9">
                        <div class="blog-details">
                            <div class="post" style="border-bottom:1px solid #660F1F;padding-bottom:20px;">
                                <div class="entry-header">
                                    <div class="entry-thumbnail">
                                        <a>
                                            <img loading="lazy" :src="blogDetails.banner_img" v-if="blogDetails.banner_img" :alt="blogDetails.title " class="img-fluid">
                                            <shimmer v-else-if="shimmer" :height="200"></shimmer>
                                        </a>
                                    </div>
                                </div>
                                <div class="entry-content">
                                    <div class="entry-meta">
                                        <ul class="global-list" v-if="lengthCounter(blogDetails)>0">
                                            <li v-if="blogDetails.user"><a href="javascript:void(0)"><img
                                                v-if="blogDetails.user.user_profile_image"
                                                loading="lazy" :src="blogDetails.user.user_profile_image" :alt="blogDetails.user.full_name"
                                                class="img-fluid">{{ blogDetails.user.full_name }}</a>
                                            </li>
                                            <li><a href="javascript:void(0)"><span
                                                class="mdi mdi-calendar-month">
                                                <svg width="18" height="21" viewBox="0 0 31 35" fill="none" xmlns="http://www.w3.org/2000/svg">
                                                    <mask id="path-1-inside-1_136_1259" fill="white">
                                                    <path d="M31 13.6111V7.77778C31 5.63 29.2652 3.88889 27.125 3.88889H3.875C1.7349 3.88889 0 5.63 0 7.77778V13.6111M31 13.6111V31.1111C31 33.2589 29.2652 35 27.125 35H3.875C1.7349 35 0 33.2589 0 31.1111V13.6111M31 13.6111H0H31ZM7.75 0V7.77778V0ZM23.25 0V7.77778V0Z"/>
                                                    <path d="M8.71875 17.5H4.84375C4.30872 17.5 3.875 17.9353 3.875 18.4722V22.3611C3.875 22.8981 4.30872 23.3333 4.84375 23.3333H8.71875C9.25378 23.3333 9.6875 22.8981 9.6875 22.3611V18.4722C9.6875 17.9353 9.25378 17.5 8.71875 17.5Z"/>
                                                    <path d="M17.4375 17.5H13.5625C13.0275 17.5 12.5938 17.9353 12.5938 18.4722V22.3611C12.5938 22.8981 13.0275 23.3333 13.5625 23.3333H17.4375C17.9725 23.3333 18.4062 22.8981 18.4062 22.3611V18.4722C18.4062 17.9353 17.9725 17.5 17.4375 17.5Z"/>
                                                    <path d="M26.1562 17.5H22.2812C21.7462 17.5 21.3125 17.9353 21.3125 18.4722V22.3611C21.3125 22.8981 21.7462 23.3333 22.2812 23.3333H26.1562C26.6913 23.3333 27.125 22.8981 27.125 22.3611V18.4722C27.125 17.9353 26.6913 17.5 26.1562 17.5Z"/>
                                                    </mask>
                                                    <path d="M8.71875 17.5H4.84375C4.30872 17.5 3.875 17.9353 3.875 18.4722V22.3611C3.875 22.8981 4.30872 23.3333 4.84375 23.3333H8.71875C9.25378 23.3333 9.6875 22.8981 9.6875 22.3611V18.4722C9.6875 17.9353 9.25378 17.5 8.71875 17.5Z" fill="#660F1F"/>
                                                    <path d="M17.4375 17.5H13.5625C13.0275 17.5 12.5938 17.9353 12.5938 18.4722V22.3611C12.5938 22.8981 13.0275 23.3333 13.5625 23.3333H17.4375C17.9725 23.3333 18.4062 22.8981 18.4062 22.3611V18.4722C18.4062 17.9353 17.9725 17.5 17.4375 17.5Z" fill="#660F1F"/>
                                                    <path d="M26.1562 17.5H22.2812C21.7462 17.5 21.3125 17.9353 21.3125 18.4722V22.3611C21.3125 22.8981 21.7462 23.3333 22.2812 23.3333H26.1562C26.6913 23.3333 27.125 22.8981 27.125 22.3611V18.4722C27.125 17.9353 26.6913 17.5 26.1562 17.5Z" fill="#660F1F"/>
                                                    <path d="M8.75 0C8.75 -0.552285 8.30228 -1 7.75 -1C7.19771 -1 6.75 -0.552285 6.75 0H8.75ZM6.75 7.77778C6.75 8.33006 7.19771 8.77778 7.75 8.77778C8.30228 8.77778 8.75 8.33006 8.75 7.77778H6.75ZM24.25 0C24.25 -0.552285 23.8023 -1 23.25 -1C22.6977 -1 22.25 -0.552285 22.25 0H24.25ZM22.25 7.77778C22.25 8.33006 22.6977 8.77778 23.25 8.77778C23.8023 8.77778 24.25 8.33006 24.25 7.77778H22.25ZM32 13.6111V7.77778H30V13.6111H32ZM32 7.77778C32 5.0811 29.8208 2.88889 27.125 2.88889V4.88889C28.7095 4.88889 30 6.1789 30 7.77778H32ZM27.125 2.88889H3.875V4.88889H27.125V2.88889ZM3.875 2.88889C1.17924 2.88889 -1 5.08109 -1 7.77778H1C1 6.17891 2.29055 4.88889 3.875 4.88889V2.88889ZM-1 7.77778V13.6111H1V7.77778H-1ZM30 13.6111V31.1111H32V13.6111H30ZM30 31.1111C30 32.71 28.7095 34 27.125 34V36C29.8208 36 32 33.8079 32 31.1111H30ZM27.125 34H3.875V36H27.125V34ZM3.875 34C2.29054 34 1 32.71 1 31.1111H-1C-1 33.8079 1.17925 36 3.875 36V34ZM1 31.1111V13.6111H-1V31.1111H1ZM31 12.6111H0V14.6111H31V12.6111ZM6.75 0V7.77778H8.75V0H6.75ZM22.25 0V7.77778H24.25V0H22.25ZM4.84375 18.5H8.71875V16.5H4.84375V18.5ZM8.71875 18.5C8.71576 18.5 8.71048 18.4992 8.7051 18.4969C8.70039 18.4949 8.69733 18.4925 8.69539 18.4906C8.69345 18.4887 8.69147 18.486 8.68987 18.4822C8.68799 18.4777 8.6875 18.4737 8.6875 18.4722H10.6875C10.6875 17.3864 9.80943 16.5 8.71875 16.5V18.5ZM8.6875 18.4722V22.3611H10.6875V18.4722H8.6875ZM8.6875 22.3611C8.6875 22.3596 8.68799 22.3556 8.68987 22.3512C8.69147 22.3474 8.69345 22.3447 8.69539 22.3427C8.69733 22.3408 8.70039 22.3384 8.7051 22.3364C8.71048 22.3341 8.71576 22.3333 8.71875 22.3333V24.3333C9.80943 24.3333 10.6875 23.447 10.6875 22.3611H8.6875ZM8.71875 22.3333H4.84375V24.3333H8.71875V22.3333ZM4.84375 22.3333C4.84674 22.3333 4.85202 22.3341 4.8574 22.3364C4.86211 22.3384 4.86517 22.3408 4.86711 22.3427C4.86905 22.3447 4.87103 22.3474 4.87263 22.3512C4.87451 22.3556 4.875 22.3596 4.875 22.3611H2.875C2.875 23.447 3.75307 24.3333 4.84375 24.3333V22.3333ZM4.875 22.3611V18.4722H2.875V22.3611H4.875ZM4.875 18.4722C4.875 18.4737 4.87451 18.4777 4.87263 18.4822C4.87103 18.486 4.86905 18.4887 4.86711 18.4906C4.86517 18.4925 4.86211 18.4949 4.8574 18.4969C4.85202 18.4992 4.84674 18.5 4.84375 18.5V16.5C3.75307 16.5 2.875 17.3864 2.875 18.4722H4.875ZM13.5625 18.5H17.4375V16.5H13.5625V18.5ZM17.4375 18.5C17.4345 18.5 17.4292 18.4992 17.4238 18.4969C17.4191 18.4949 17.4161 18.4925 17.4141 18.4906C17.4122 18.4887 17.4102 18.486 17.4086 18.4822C17.4067 18.4777 17.4062 18.4737 17.4062 18.4722H19.4062C19.4062 17.3864 18.5282 16.5 17.4375 16.5V18.5ZM17.4062 18.4722V22.3611H19.4062V18.4722H17.4062ZM17.4062 22.3611C17.4062 22.3596 17.4067 22.3556 17.4086 22.3512C17.4102 22.3474 17.4122 22.3447 17.4141 22.3427C17.4161 22.3408 17.4191 22.3384 17.4238 22.3364C17.4292 22.3341 17.4345 22.3333 17.4375 22.3333V24.3333C18.5282 24.3333 19.4062 23.447 19.4062 22.3611H17.4062ZM17.4375 22.3333H13.5625V24.3333H17.4375V22.3333ZM13.5625 22.3333C13.5655 22.3333 13.5708 22.3341 13.5762 22.3364C13.5809 22.3384 13.5839 22.3408 13.5859 22.3427C13.5878 22.3447 13.5898 22.3474 13.5914 22.3512C13.5933 22.3556 13.5938 22.3596 13.5938 22.3611H11.5938C11.5938 23.447 12.4718 24.3333 13.5625 24.3333V22.3333ZM13.5938 22.3611V18.4722H11.5938V22.3611H13.5938ZM13.5938 18.4722C13.5938 18.4737 13.5933 18.4777 13.5914 18.4822C13.5898 18.486 13.5878 18.4887 13.5859 18.4906C13.5839 18.4925 13.5809 18.4949 13.5762 18.4969C13.5708 18.4992 13.5655 18.5 13.5625 18.5V16.5C12.4718 16.5 11.5938 17.3864 11.5938 18.4722H13.5938ZM22.2812 18.5H26.1562V16.5H22.2812V18.5ZM26.1562 18.5C26.1533 18.5 26.148 18.4992 26.1426 18.4969C26.1379 18.4949 26.1348 18.4925 26.1329 18.4906C26.1309 18.4887 26.129 18.486 26.1274 18.4822C26.1255 18.4777 26.125 18.4737 26.125 18.4722H28.125C28.125 17.3864 27.2469 16.5 26.1562 16.5V18.5ZM26.125 18.4722V22.3611H28.125V18.4722H26.125ZM26.125 22.3611C26.125 22.3596 26.1255 22.3556 26.1274 22.3512C26.129 22.3474 26.1309 22.3447 26.1329 22.3427C26.1348 22.3408 26.1379 22.3384 26.1426 22.3364C26.148 22.3341 26.1533 22.3333 26.1562 22.3333V24.3333C27.2469 24.3333 28.125 23.447 28.125 22.3611H26.125ZM26.1562 22.3333H22.2812V24.3333H26.1562V22.3333ZM22.2812 22.3333C22.2842 22.3333 22.2895 22.3341 22.2949 22.3364C22.2996 22.3384 22.3027 22.3408 22.3046 22.3427C22.3065 22.3447 22.3085 22.3474 22.3101 22.3512C22.312 22.3556 22.3125 22.3596 22.3125 22.3611H20.3125C20.3125 23.447 21.1906 24.3333 22.2812 24.3333V22.3333ZM22.3125 22.3611V18.4722H20.3125V22.3611H22.3125ZM22.3125 18.4722C22.3125 18.4737 22.312 18.4777 22.3101 18.4822C22.3085 18.486 22.3065 18.4887 22.3046 18.4906C22.3027 18.4925 22.2996 18.4949 22.2949 18.4969C22.2895 18.4992 22.2842 18.5 22.2812 18.5V16.5C21.1906 16.5 20.3125 17.3864 20.3125 18.4722H22.3125Z" fill="#660F1F" mask="url(#path-1-inside-1_136_1259)"/>
                                                </svg>
                                                </span>{{
                                                    blogDetails.published_date
                                                }}</a>
                                            </li>
                                            <li><a href="#"><span class="mdi mdi-eye-outline"></span>{{ blogDetails.blog_views_count }} {{lang.view}}</a></li>
                                            <!-- <li><a href="#"><span class="mdi mdi-message-text-outline"></span>{{comments.total}} {{lang.comment}}</a></li> -->
                                            <li>
                                                <div class="dropdown">
                                                    <button  @click.stop="shareDropdown"  class="btn btn-secondary share_dropdown" :class="{ show : share_dropdown}" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                                        <span class="mdi mdi-share-variant"></span>{{lang.share}}
                                                    </button>
                                                    <div  @click="share_dropdown = false" class="dropdown-menu" :class="{ show : share_dropdown}" aria-labelledby="dropdownMenuButton">
                                                        <a target="_blank" class="dropdown-item"
                                                           :href="'https://www.facebook.com/sharer/sharer.php?u='+getUrl('blog/'+blogDetails.slug)">{{ lang.facebook }}</a>
                                                        <a target="_blank" class="dropdown-item"
                                                           :href="'https://twitter.com/intent/tweet?text='+blogDetails.title+'&url='+getUrl('blog/'+blogDetails.slug)">{{ lang.twitter }}</a>
                                                        <a target="_blank" class="dropdown-item"
                                                           :href="'https://www.linkedin.com/sharing/share-offsite?mini=true&url='+getUrl('blog/'+blogDetails.slug)+'&title='+blogDetails.title+'&summary=Extra+linkedin+summary+can+be+passed+here'">{{ lang.linkedin }}</a>
                                                        <a target="_blank" class="dropdown-item"
                                                           :href="'https://wa.me/?text='+getUrl('blog/'+blogDetails.slug)">{{ lang.whatsapp }}</a>
                                                    </div>
                                                </div>
                                            </li>
                                        </ul>
                                        <ul class="global-list" v-else-if="shimmer">
                                            <shimmer :height="10"></shimmer>
                                        </ul>
                                    </div>
                                    <div  v-if="lengthCounter(blogDetails)>0">
                                        <h1 class="entry-title">{{ blogDetails.title }}</h1>
                                        <div class="nn" v-html="blogDetails.description"></div>
                                    </div>
                                    <div v-else-if="shimmer">
                                        <shimmer :height="30" ></shimmer>
                                    </div>
                                </div>
                            </div><!-- /.post -->
                            <div v-if="lengthCounter(ings) > 0" style="margin-top:20px;border-bottom:1px solid #660F1F;padding-bottom:40px;">
                                <span style="color:#66101F;font-size:20px;font-weight:600;">Ingredients List</span>
                                <div class="row mt-3 mb-5">
                                    <div v-for="(ing,index) in ings" :key="ing" class="col-md-4 mt-3 check" style="display:flex;align-items:center;justify-content:flex-end;gap:10px;flex-direction: row-reverse;">
                                        <label class="register-info-text" style="margin:0 6px;display:flex;align-items:center;flex-direction: column;"><span style="color:#660F1F">{{ ing.product_name }}</span><span style="color:#660F1F">{{ ing.price }}</span></label>
                                        <input value="0"  v-model="amounts[index]" min="0"  type="number" style="height: 55px;width: 55px;border-radius: 10px;font-size:16px;background-color:#FFFAF5;">
                                        <input v-model="cheks[index]"  type="checkbox" style="height: 20px;width:20px;border:2px solid #660F1F !important;background-color:#FFFAF5;accent-color:#660F1F">
                                    </div>
                                </div>
                                <button @click="addTo()" v-if="lengthCounter(blogDetails)>0" style="border-radius:10px;height:40px;font-size:11px;padding: 0 24px;" class="btn btn-primary">
                                    <svg style="margin-right: 5px;" width="17" height="17" viewBox="0 0 48 44" fill="none" xmlns="http://www.w3.org/2000/svg">
                                        <path d="M13.7037 6.41667H46.1667L41.75 21.875H16.082M43.9583 30.7083H17.4583L13.0417 2H6.41667M6.41667 13.0417H2M8.625 19.6667H2M10.8333 26.2917H2M19.6667 39.5417C19.6667 40.7613 18.678 41.75 17.4583 41.75C16.2387 41.75 15.25 40.7613 15.25 39.5417C15.25 38.322 16.2387 37.3333 17.4583 37.3333C18.678 37.3333 19.6667 38.322 19.6667 39.5417ZM43.9583 39.5417C43.9583 40.7613 42.9697 41.75 41.75 41.75C40.5303 41.75 39.5417 40.7613 39.5417 39.5417C39.5417 38.322 40.5303 37.3333 41.75 37.3333C42.9697 37.3333 43.9583 38.322 43.9583 39.5417Z" stroke="#FFFAF5" stroke-width="3" stroke-linecap="round" stroke-linejoin="round"/>
                                    </svg>
                                    Add Selected Item To Cart
                                </button>
                            </div>
                            <div v-else-if="shimmer">
                                <shimmer :height="30" ></shimmer>
                            </div>
                            <div class="comment-area">
                                <!-- <h3 class="title-style-1 mt-5" v-if="lengthCounter(blogDetails)>0">{{ comments.total }} {{lang.comments}}</h3> -->
                                <!-- <h3 class="title-style-1 mt-5" v-else-if="shimmer">
                                    <shimmer :height="20" ></shimmer>
                                </h3> -->
                                <!-- <blog_comments :comments="comments" :blog-details="blogDetails"></blog_comments> -->
                            </div><!-- /.comment-area -->
                            <div v-if="lengthCounter(blogDetails)>0">
                                <div class="comment-form" v-if="authUser">

                                    <h3 class="title-style-1">{{lang.write_a_comments}}</h3>
                                    <form @submit.prevent="comment" class="tr-form">
                                        <div class="form-group">
                                            <textarea class="form-control" required="required" rows="8"
                                                      placeholder="Write Comment" v-model="commentForm.comment"></textarea>
                                        </div>
                                        <loading_button v-if="loading" :class_name="'btn btn-primary'"></loading_button>
                                        <input type="submit" v-else class="btn btn-primary" :value="lang.post">
                                    </form><!-- /.comment-form -->
                                </div>
                            </div>
                            <div class="comment-form" v-else-if="shimmer">
                                <shimmer :height="200" ></shimmer>
                            </div>
                        </div>
                    </div>
                </div><!-- /.row -->
            </div><!-- /.container -->
        </section><!-- /.category-section -->

    </div>
</template>

<script>
// import blog_comments from "./blog_partials/blog_comments";
import shimmer from "../partials/shimmer";

export default {
    name: "blog_details",
    components :{
    //   blog_comments,
        shimmer
    },
    data() {
        return {
            collapeActive: 'categories',
            commentForm: {
                comment: '',
                blog_id: '',
                slug: this.$route.params.slug,
            },
            ss:[],
            page : 1,
            category:true,
            recentPost:true,
            amounts:[],
            cheks:[],
            loading:false,
            share_dropdown:false,
        }
    },
    mounted() {
        console.log(this.blogDetails,'pppppfff');
        this.$store.dispatch('recipeDetails', this.$route.params.slug);
        console.log(this.blogDetails,'pppppfff');
            this.amounts.forEach(el => {
                el=1;
            });
        console.log(this.amounts,'sajkhdkjsad');
    },
    computed: {
        blogDetails() {
            return this.$store.getters.getRecipeDetails;
        },
        categories() {
            return this.$store.getters.getRecipeCategories;
        },
        tags() {
           return this.$store.getters.getRecipeTags;
        },
        recent_posts() {
            return this.$store.getters.getRecentPosts;
        },
        ings() {
            return this.$store.getters.getIngs;
        },
        // comments() {
        //     return this.$store.getters.getBlogComments;
        // },
        shimmer(){
            return this.$store.state.module.shimmer
        },
    },
    watch: {
        $route(to,from) {
            this.$store.dispatch('recipeDetails', this.$route.params.slug);
        }
    },
    methods: {
        collapeActiveStatus(data) {
            if (this.collapeActive == data) {
                this.collapeActive = '';
            } else {
                this.collapeActive = data;
            }
        },
        comment() {
            this.loading = true;
            this.commentForm.blog_id = this.blogDetails.id;
            let url = this.getUrl('store/blog-comment');
            this.$Progress.start();
            axios.post(url, this.commentForm).then((response) => {
                this.loading = false;

                if (response.data.error) {
                    toastr.error(response.data.error, this.lang.Error +' !!' );
                } else {
                    this.commentForm.comment = '';

                    this.$store.dispatch('blogDetails', this.$route.params.slug);

                    if (response.data.success) {
                        toastr.success(response.data.success, this.lang.Success +' !!');
                    }
                    this.$Progress.finish();
                }
            }).catch((error) => {
                this.loading = false;
            });
        },
        loadCategories()
        {
            this.page++;
            let url = this.url + '/load/blog-categories?page=' + this.page;
            this.$Progress.start();
            axios.get(url).then((response) => {
                if (response.data.error) {
                    toastr.error(response.data.error, this.lang.Error +' !!' );
                } else {

                    let categories = response.data.categories.data;

                    if (categories.length > 0) {
                        for (var i in categories) {
                            this.categories.data.push(categories[i]);
                        }
                    }
                    this.$Progress.finish();
                    this.categories.next_page_url = response.data.categories.next_page_url;
                }
            });
        },
        shareDropdown() {
            this.share_dropdown = !this.share_dropdown;
            this.share_dropdown && this.$nextTick(() => {
                document.addEventListener('click', this.hideLanguageDropdown)
            })
        },
        getUrl(url) {
            let base_url = document.querySelector('meta[name="base_url"]').getAttribute('content');
            return base_url + '/' + url;
        },
        addTo(){
            console.log(this.cheks,'cheks');
            console.log(this.amounts,'amounts');
            this.ings.forEach((e,index) => {
                if(this.cheks[index]==true && this.amounts[index]>0){
                    e.minimum_order_quantity=parseInt(this.amounts[index])
                    this.cartBtn(e,index)
                }
            });
        }
    }
}
</script>
<style scoped>
.nn span{
    color:#005186 !important;
}
.post .entry-thumbnail img{
    border-radius: 10px;
}
.post .entry-content {
    background-color: transparent;
    border-radius: 0;
}
.comment-form h3 {
    font-size: 18px;
    margin-bottom: 20px;
    font-weight: 700;
    color: #660f1f;
}
.form-control {
    border: none !important;
    border-radius: 21px;
}
.mdi-calendar-month::before {
    content: none;
}
</style>

